#!/bin/sh 
if [ "`uname`" = "Linux" ]; then enable -n echo; fi
#
#  a very simple sed script to extract the header of a fits file
# usage : efh.sh file1 > file2 
#         file1 = fitsfile name (e.g. FORS1.fits) 
#         file2 = output ascii file 

head -n1 $1 | sed 's/HIER/?&/g
s/BITPIX/?&/g
s/NAXIS/?&/g
s/CRVAL/?&/g
s/CRPIX/?&/g
s/COMMENT/?&/g
s/PC/?&/g
s/CDEL/?&/g
s/CROT/?&/g
s/CTYPE/?&/g
s/BZERO   =/?&/
s/BSCALE /?&/
s/TELESCOP/?&/
s/INSTRUME/?&/g
s/EXPTIME/?&/
s/EXTEND/?&/
s/LST/?&/
s/UTC/?&/
s/EQUINOX/?&/
s/  RA/  ?RA/g
s/  DEC/  ?DEC/g
s/  DATE/  ?DATE/g
s/MJD-OBS/?&/g
s/ORIGIN/?&/
s/ARCFILE/?&/
s/ORIGFILE/?&/
s/OBSERV/?&/g
s/OBJECT/?&/g
s/CHECKSUM/?&/
s/  END/  ?END?/' | tr -s "?" "\012"
